#!/usr/bin/env bash
command_exists() {
    command -v "$1" >/dev/null 2>&1
    if [[ $? -ne 0 ]]; then
        echo "Software dependency not met: $1"
        exit 1
    fi
}
echo "check if velero is installed"
command_exists "velero"
echo "install velero to the cluster"
velero install \
    --provider aws \
    --features=EnableCSI \
    --plugins velero/velero-plugin-for-aws:v1.7.1,velero/velero-plugin-for-csi:v0.5.1 \
    --bucket yolokube-velero \
    --secret-file ./credentials \
    --use-volume-snapshots=false \
    --backup-location-config region=weur,s3ForcePathStyle="true",s3Url=https://38a7c29ab4f869c340784d3d7aaa0f62.r2.cloudflarestorage.com